summaryrefslogtreecommitdiff
path: root/tests/test-c-stack.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/test-c-stack.sh')
-rwxr-xr-xtests/test-c-stack.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/tests/test-c-stack.sh b/tests/test-c-stack.sh
new file mode 100755
index 0000000..f979065
--- /dev/null
+++ b/tests/test-c-stack.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+tmpfiles=""
+trap 'rm -fr $tmpfiles' 1 2 3 15
+
+tmpfiles="t-c-stack.tmp"
+./test-c-stack${EXEEXT} 2> t-c-stack.tmp
+case $? in
+ 77) cat t-c-stack.tmp >&2; (exit 77); exit 77 ;;
+ 1) ;;
+ *) (exit 1); exit 1 ;;
+esac
+if grep 'stack overflow' t-c-stack.tmp >/dev/null ; then
+ :
+else
+ (exit 1); exit 1
+fi
+
+rm -fr $tmpfiles
+
+exit 0